#include <bits/stdc++.h>

using namespace std;

int solve(vector<long long> H, long long L, long long N) {
    for(int i = 0; i < N; i++) {
        if(L >= H[i]) {
            return i+1;
        }
    }
    return -1;
}
int main(){
    ios_base::sync_with_stdio(false);
    ios::sync_with_stdio(false);
    cin.tie(0);
    long long N,L;
    cin >> N >> L;
    vector<long long> H(N); 
    for(int i = 0; i < N; i++){
        cin >> H[i];
    }
    cout << solve(H, L, N);

}